<div class="header header--black header--font-white">
  <div class="header__nav">
    <span class="sr-only">Perfil</span>
  </div>
  <div class="header__center">
    <h1 class="header__title header__title--white my-2">
      {{#if isOwnProfile}}
        MI PERFIL
        {{#if user.active}}
          (Activo)
        {{else}}
          (Inactivo)
        {{/if}}
      {{else}}
        PERFIL DE {{user.capitalizedName}}
      {{/if}}
    </h1>
  </div>
  <div class="header__nav">
    <button class="header__button" {{action 'closeModal'}}>
      {{svg-jar "cross" class="icon"}}
    </button>
  </div>
</div>

<button {{action 'closeModal'}} class="profile-card__container px-0 mb-0">
  <div class="profile-card__overlay" {{action 'profileClick'}}>
    <div class="row justify-content-center profile-card__content">
      <div class="col-auto">
        <figure class="profile-card__avatar-container">
          {{#if user.hasAvatar}}
            <img src={{avatar.smallThumb}} alt="Avatar" class="profile-card__avatar-container-img">
          {{else}}
            {{svg-jar 'profile_def' class="bg-primary profile-card__avatar-container-icon"}}
          {{/if}}
        </figure>
        <div class="profile-card__avatar-container-name">
          {{user.nickname}}
        </div>
        <figure class="profile-card__rating">
          <span class="sr-only">Valoración</span>
        </figure>
      </div>
      <div class="col-12">
        <p class="profile-card__location">
          {{#if hasLocation}}
            {{svg-jar "place_black" class="svg-icon"}}
          {{/if}}
          {{locationAndLanguages}}
        </p>
      </div>
      <div class="col-12">
        <p class="paragraph">
          {{user.description}}
        </p>
        <p>
          <span class="profile-card__interests">Intereses:</span>
          {{#each user.userTags as |tag|}}
            <!-- <a href="#" class="hashtag hashtag--yellow">{{interest.name}}</a> -->
            <div class="hashtag hashtag--yellow">
              aaa{{tag.name}}
            </div>
          {{/each}}
        </p>
        {{#if isOwnProfile}}
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.profile.index' class="paragraph"}}
              <strong>Ver mis botones ({{user.ownedButtonsCounter}})</strong>
            {{/link-to}}
          {{else}}
            {{#link-to 'profile.index' class="paragraph"}}
              <strong>Ver mis botones ({{user.ownedButtonsCounter}})</strong>
            {{/link-to}}
          {{/if}}
        {{else}}
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.user.buttons' user.id class="paragraph"}}
              <strong>Ver botones ({{user.ownedButtonsCounter}})</strong>
            {{/link-to}}
          {{else}}
            {{#link-to 'user.buttons' user.id class="paragraph"}}
              <strong>Ver botones ({{user.ownedButtonsCounter}})</strong>
            {{/link-to}}
          {{/if}}
        {{/if}}
      </div>
    </div>
    {{#if isOwnProfile}}
      <div class="row justify-content-center">
        <div class="col-auto mb-5">
          {{#promise-button
            type="submit"
            class=(if user.active "profile-card__toggle-button profile-card__toggle-button--corporative-bg mb-3" "profile-card__toggle-button mb-3")
            btnAction=(action 'toggleProfileState')
            hideContentOnLoading=true
          }}
            {{svg-jar "switch" class="icon"}}
          {{/promise-button}}
        </div>
      </div>
    {{/if}}
  </div>
</button>
